{
    "$graph": [
        {
            "baseCommand": "s3-slstr-tiling",
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "wfp:0.1",
                    "class": "DockerRequirement"
                }
            ],
            "id": "#clt",
            "inputs": [
                {
                    "inputBinding": {
                        "position": 1,
                        "prefix": "--input_reference"
                    },
                    "type": "Directory",
                    "id": "#clt/inp1"
                },
                {
                    "inputBinding": {
                        "position": 2,
                        "prefix": "--tiling_level"
                    },
                    "type": "string",
                    "id": "#clt/inp2"
                }
            ],
            "requirements": [
                {
                    "envDef": [
                        {
                            "envValue": "/opt/anaconda/envs/env_s3/bin/:/opt/anaconda/envs/notebook/bin:/opt/anaconda/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
                            "envName": "PATH"
                        },
                        {
                            "envValue": "/opt/anaconda/envs/env_s3",
                            "envName": "PREFIX"
                        }
                    ],
                    "class": "EnvVarRequirement"
                },
                {
                    "class": "ResourceRequirement"
                }
            ],
            "stderr": "std.err",
            "stdout": "std.out",
            "outputs": [
                {
                    "outputBinding": {
                        "glob": "."
                    },
                    "type": "Any",
                    "id": "#clt/results"
                }
            ]
        },
        {
            "class": "Workflow",
            "doc": "This service takes as input a Sentinel-3 SLSTR Level 2 (SL_2_LST____) product on DESCENDING pass and does the reprojection and tiling",
            "id": "#main",
            "inputs": [
                {
                    "doc": "This service takes as input a Sentinel-3 SLSTR Level 2 (SL_2_LST____) product on DESCENDING pass",
                    "label": "Sentinel-3 SLSTR Level-2 (SL_2_LST____ descending pass)",
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "id": "#main/input_reference",
                    "http://www.me.net/stac/cwl/extensioncollection": "input_reference"
                },
                {
                    "doc": "Tiling level",
                    "label": "Tiling level",
                    "type": "string",
                    "id": "#main/tiling_level"
                }
            ],
            "label": "Sentinel-3 SLSTR Level-2 reprojection and tiling",
            "outputs": [
                {
                    "id": "#main/wf_outputs",
                    "outputSource": [
                        "#main/node_1/results"
                    ],
                    "type": {
                        "items": "Directory",
                        "type": "array"
                    }
                }
            ],
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "source": "#main/input_reference",
                            "id": "#main/node_1/inp1"
                        },
                        {
                            "source": "#main/tiling_level",
                            "id": "#main/node_1/inp2"
                        }
                    ],
                    "out": [
                        "#main/node_1/results"
                    ],
                    "run": "#clt",
                    "scatter": "#main/node_1/inp1",
                    "scatterMethod": "dotproduct",
                    "id": "#main/node_1"
                }
            ]
        }
    ],
    "cwlVersion": "v1.0",
    "$namespaces": {
        "stac": "http://www.me.net/stac/cwl/extension"
    }
}
